/*$Id:$*/
/*23.03.2023	10.08.2021	Белых А.И. 	iceb_t_read_spis.cpp
Чтение списка из файла
*/
#include "buhl.h"

int iceb_t_read_spis(class iceb_tu_spisok *spis,const char *imaf)
{
char strsql[1024];
SQLCURSOR cur;
SQL_str row;
int kolstr=0;

sprintf(strsql,"select str from Alx where fil='%s' order by ns asc",imaf);

if((kolstr=cur.make_cursor(&bd,strsql)) < 0)
 {
  iceb_t_msql_error(&bd,gettext("Ошибка создания курсора !"),strsql);
  return(1);
 }

if(kolstr == 0)
 {
  sprintf(strsql,"%s-%s %s",__FUNCTION__,gettext("Не найдена настройка"),imaf);
  iceb_t_soob(strsql);
  return(1);
 }

while(cur.read_cursor(&row) != 0)
 {
  if(row[0][0] == '#')
   continue;
  spis->plus_bps(row[0]);  
 }

return(0);

}
